Developer Dashboard

Back to Model Explorer

CloudflareAvailable on AvalAI

cf.qwen2.5-coder-32b-instruct API on AvalAI

cf.qwen2.5-coder-32b-instruct

cf.qwen2.5-coder-32b-instruct is an AI model from Alibaba that is available through AvalAI's OpenAI-compatible API.

Price display scale
Input price$0.66 / 1M tokens
Output price$0.66 / 1M tokens
Context window32,768 tokens
Maximum output8,192 tokens

Use cf.qwen2.5-coder-32b-instruct with the AvalAI API

Keep the API key in an environment variable and send requests from server-side code.

bash
curl https://api.avalai.ir/v1/chat/completions \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $AVALAI_API_KEY" \
  -d '{"model": "cf.qwen2.5-coder-32b-instruct", "messages": [{"role": "user", "content": "Give a concise, practical solution."}]}'
python
import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ["AVALAI_API_KEY"],
    base_url="https://api.avalai.ir/v1",
)

response = client.chat.completions.create(
    model="cf.qwen2.5-coder-32b-instruct",
    messages=[{"role": "user", "content": "Give a concise, practical solution."}],
)

print(response.choices[0].message.content)
javascript
import OpenAI from "openai";

const client = new OpenAI({
  apiKey: process.env.AVALAI_API_KEY,
  baseURL: "https://api.avalai.ir/v1",
});

const response = await client.chat.completions.create({
  model: "cf.qwen2.5-coder-32b-instruct",
  messages: [{ role: "user", content: "Give a concise, practical solution." }],
});

console.log(response.choices[0].message.content);

Create an API keyRead the quickstart

Capabilities and endpoints

  • Function calling

cf.qwen2.5-coder-32b-instruct rate limits

TierRPMTPM
Basic140,000
Tier 1250450,000
Tier 2500800,000
Tier 37501,200,000
Tier 41,0002,000,000
Tier 51,5004,000,000

Frequently asked questions

What is the cf.qwen2.5-coder-32b-instruct API on AvalAI?

Create an AvalAI API key and send the model ID cf.qwen2.5-coder-32b-instruct to one of the supported endpoints shown on this page.

How much does the cf.qwen2.5-coder-32b-instruct API cost on AvalAI?

The cf.qwen2.5-coder-32b-instruct API on AvalAI costs $0.66 per 1M input tokens and $0.66 per 1M output tokens.

What is the token cost for cf.qwen2.5-coder-32b-instruct?

Current AvalAI pricing for cf.qwen2.5-coder-32b-instruct is $0.66 / 1M tokens for input and $0.66 / 1M tokens for output.

What is the cf.qwen2.5-coder-32b-instruct context window?

The recorded maximum input context for cf.qwen2.5-coder-32b-instruct is 32,768 tokens.

What are the rate limits for cf.qwen2.5-coder-32b-instruct on AvalAI?

On tier 5, cf.qwen2.5-coder-32b-instruct on AvalAI supports up to 1,500 requests per minute and 4,000,000 tokens per minute.

What features does cf.qwen2.5-coder-32b-instruct support on AvalAI?

cf.qwen2.5-coder-32b-instruct on AvalAI supports Function calling.

What account tier is required to use cf.qwen2.5-coder-32b-instruct on AvalAI?

Calling cf.qwen2.5-coder-32b-instruct on AvalAI requires the Basic tier (tier 0) or higher.

Third-party data and freshness

  • Pricing, availability, endpoints, and rate limits: AvalAI structured data (authoritative)